Bug 57116 - import popt failed
Summary: import popt failed
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-05 02:23 UTC by Isaiah Weiner
Modified: 2015-01-07 23:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 16:58:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Isaiah Weiner 2001-12-05 02:23:29 UTC
Description of problem:
The error message is:

[root@b2-lnx rhn]# up2date
Traceback (innermost last):
  File "/usr/sbin/up2date", line 18, in ?
    from up2date_client import clap
  File "/usr/share/rhn/up2date_client/clap.py", line 7, in ?
    import popt
ImportError: No module named popt

I am using a set of packages that Adrian gave me quite some time ago, 
perhaps nearly a month ago.

[root@b2-lnx rhn]# rpm -qa | egrep '(up2date|rhn_register)'      
rhn_register-gnome-2.7.2-7.x.1
up2date-gnome-2.7.2-7.x.3
rhn_register-2.7.2-7.x.1
up2date-2.7.2-7.x.3
[root@b2-lnx rhn]# rpm -q python-xmlrpc
python-xmlrpc-1.5.0-1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. sudo su -
2. up2date
	

Actual Results:  I received the error message outlined in the description.


Expected Results:  I should have received the up2date client window.

Additional info:

Comment 1 Adrian Likins 2001-12-05 02:30:17 UTC
You need to update to 2.7.11-7.x.2 for 7.2 and 2.7.11-7.x.1 for 7.1/7.2.

the 2.7.2 packages are for 7.2 only, and rely on the
popt module included with rpm-python. The missing dep
on python-popt was fixed somewhere in 2.7.x series. 

For 7.1 you need the newer packages and the required python-popt
packages. 

For 7.2 you just need the newer packages and rpm-python

Comment 2 Adrian Likins 2001-12-05 02:33:32 UTC
er, i meant

> You need to update to 2.7.11-7.x.2 for 7.2 and 2.7.11-7.x.1 for 7.0/7.1

that is...



Comment 3 Greg DeKoenigsberg 2001-12-17 18:45:42 UTC
Is this, in fact, a high sev bug?  Is it solved by updating?  Is there a fix to
be backported, or can we close this one out?

Comment 4 Isaiah Weiner 2001-12-17 18:48:26 UTC
At the time it was; it can be closed now, upgrading fixed it.

Comment 5 Isaiah Weiner 2002-02-04 18:07:27 UTC
This error message started appearing again this morning.  The client version is 
consistent with what you recommended.

[root@b2-lnx /root]# up2date
Traceback (innermost last):
  File "/usr/sbin/up2date", line 18, in ?
    from up2date_client import clap
  File "/usr/share/rhn/up2date_client/clap.py", line 12, in ?
    popt = __import__("up2datepopt")
ImportError: No module named up2datepopt



Comment 6 Isaiah Weiner 2002-02-11 16:58:40 UTC
python-popt wasn't installed. solved.


Note You need to log in before you can comment on or make changes to this bug.